Divi WordPress Theme

Apache 2.2.29 released

Topic: Apache 2.2.29 released  (Read 1318 times)

Offline Kailash

  • Web Hosting Master
  • *****
  • Administrator
  • Posts: 603
  • iTrader: +153/-0
    • View Profile
Apache 2.2.29 released
« on: September 05, 2014, 11:48:00 AM »
Apache HTTP Server Project is pleased to announce the release of Apache HTTP Server (httpd) version 2.2.29. The following issues were addressed in Apache 2.2.29:

  • CVE-2014-0118 mod_deflate: The DEFLATE input filter (inflates request bodies) now limits the length and compression ratio of inflated request bodies to avoid denial of sevice via highly compressed bodies. See directives DeflateInflateLimitRequestBody, DeflateInflateRatioLimit, and DeflateInflateRatioBurst.
  • CVE-2014-0231 mod_cgid: Fix a denial of service against CGI scripts that do not consume stdin that could lead to lingering HTTPD child processes filling up the scoreboard and eventually hanging the server. By default, the client I/O timeout (Timeout directive) now applies to communication with scripts. The CGIDScriptTimeout directive can be used to set a different timeout for communication with scripts.
  • CVE-2014-0226 Fix a race condition in scoreboard handling, which could lead to a heap buffer overflow.
  • CVE-2013-5704 HTTP trailers could be used to replace HTTP headers late during request processing, potentially undoing or otherwise confusing modules that examined or modified request headers earlier. Adds "MergeTrailers" directive to restore this legacy behavior.
VPS Hosting - AccuWebHosting

Offline WebhostingTalk

  • Junior Guru
  • *****
  • Premium Member
  • Posts: 51
  • iTrader: +2/-0
    • View Profile
Re: Apache 2.2.29 released
« Reply #1 on: September 17, 2014, 10:57:46 AM »
Looks like Apache 2.2.28 was never released and they pushed Apache 2.2.29 directly from Apache 2.2.27.
Divi WordPress Theme
Tags: